MONGOC_WRITE_CONCERN_SET_FSYNC(3)

NAME
mongoc_write_concern_set_fsync - mongoc_write_concern_set_fsync()

SYNOPSIS

void
mongoc_write_concern_set_fsync (mongoc_write_concern_t *write_concern,
                                bool fsync_);

PARAMETERS

•   write_concern: A mongoc_write_concern_t.

•   fsync_: A boolean.

DESCRIPTION

Sets if a fsync must be performed before indicating write success.

Beginning in version 1.9.0, this function can now alter the write concern after it has been used in an operation. Previously, using the struct with an operation would mark it as "frozen" and calling this function would log a warning instead instead of altering the write concern.

DEPRECATED

WARNING: The fsync write concern is deprecated.

Please use mongoc_write_concern_set_journal() instead.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc